Bobcares

WeSupport

Call Us! 1-800-383-5193
Call Us! 1-800-383-5193
Call Us! 1-800-383-5193

SMB v 1.0


Your system requires smb2 or higher – How to resolve Windows error

Stuck with ‘your system requires smb2 or higher’  error on your Windows server?  We can help you.

SMB stands for Server Message Block and it is a protocol for sharing files. The protocol has two versions, the SMB1, and the SMB2, and while both can be used, the latter is the more secure one.

Often Windows users report a “Your system requires SMB2 or higher” error messages on their PC. Here at Bobcares, we fix this error for our customers as a part of our Server Management Services.

Today let’s see how our Support Engineers fix this error for our customers.

How to resolve Windows error ‘Your system requires smb2 or higher’

SMB1 protocol is vulnerable and the system will give us a warning message saying that it requires SMB2.

Since the SMBv1 client is disabled by default in Windows 10 and newer versions of Windows, when we try to open the shared folder we may get the following error:

You can’t connect to the file share because it’s not secure. This share requires the obsolete SMB1 protocol, which is unsafe and could expose your system to attack. Your system requires SMB2 or higher.

In this case,  the neighboring computers will not be seen on the local network. Also, while opening a shared folder through the UNC path, we may end up with error 0x80070035.

The error message clearly shows that the network shared folder supports access over the SMBv1 protocol only. We can fix this by reconfiguring remote SMB device.

Reconfigure the remote SMB device to use at least SMBv2:

If we use Samba server on Linux to share network folders, we can specify the minimum supported version of SMB protocol in the smb.conf file like the following:

[global]
server min protocol = SMB2_10
client max protocol = SMB3
client min protocol = SMB2_10
encrypt passwords = true
restrict anonymous = 2
On Windows 7/Windows Server 2008 R2

We can disable the SMB 1 protocol and enable SMBv2 with the following PowerShell commands:

Set-ItemProperty -Path “HKLM:\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters” SMB1 -Type DWORD -Value 0 –Force
Set-ItemProperty -Path “HKLM:\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters” SMB2 -Type DWORD -Value 1 –Force
On Windows 8.1/Windows Server 2012 R2:

We can disable SMBv1, enable SMBv2 and SMBv3, with the following command:

Disable-WindowsOptionalFeature -Online -FeatureName “SMB1Protocol”
Set-SmbServerConfiguration –EnableSMB2Protocol $true

If a network device supports only the SMB1 protocol, we have an option to enable a separate SMB1Protocol-Client feature on Windows 10. But this is not done ideally.

We can run the following PowerShell prompt and verify that the SMB1Protocol-Client is disabled (State: Disabled):

Get-WindowsOptionalFeature -Online -FeatureName SMB1Protocol-Client

And use the following command to enable the SMBv1 client protocol keeping in mind that a reboot will be required:

Enable-WindowsOptionalFeature -Online -FeatureName SMB1Protocol-Client

We can also enable/disable additional features of Windows 10 (including SMBv1 components) from the dialog optionalfeatures.exe -> SMB 1.0/CIFS File Sharing Support.

On Windows 10 1809 and newer, the SMBv1 client will get automatically deleted if it has not been used for more than 15 days.

[Need Assistance? We are available 24*7]

Conclusion

in short, we saw the steps that our Support Engineers follow to fix the Windows error ‘Your system requires smb2 or higher’ for our customers.